summary refs log tree commit diff
path: root/bin/grimshot
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2021-01-21 19:33:10 +0100
committerRobert Günzler <r@gnzler.io>2021-01-21 19:40:20 +0100
commit72c39240811f1def43fca71de51566d206f7728d (patch)
treea33aa1331fc55b587a243f64ef94d781df40a8ae /bin/grimshot
parent0762801ed9627021e732cdeb225a737f44e3df42 (diff)
Update 2021-01-21T18:33:10Z
Diffstat (limited to 'bin/grimshot')
-rwxr-xr-xbin/grimshot2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/grimshot b/bin/grimshot
index 434c97f..f661dad 100755
--- a/bin/grimshot
+++ b/bin/grimshot
@@ -134,11 +134,11 @@ elif [ "$ACTION" = "save" ] ; then
   if [ $? ]; then
     TITLE="Screenshot of $SUBJECT"
     MESSAGE=$(basename "$FILE")
+    wl-copy --type image/png < "$FILE"  || die "Clipboard error"
     notifyOk "$MESSAGE" "$TITLE"
   else
     notifyError "Error taking screenshot with grim"
   fi
-  wl-copy --type image/png < "$FILE"  || die "Clipboard error"
 elif [ "$ACTION" = "rec" ] ; then
   echo "$FILE" | awk '/png$/{exit 0}' && \
     FILE=$(xdg-user-dir VIDEOS)/grimshot/$(now).mp4